import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;

import org.junit.Test;
import org.openscience.cdk.interfaces.IAtomContainer;
import org.openscience.cdk.io.iterator.IteratingMDLReader;
import org.openscience.cdk.silent.SilentChemObjectBuilder;

import toxTree.core.IDecisionResult;
import toxTree.tree.cramer.CramerRules;



public class ToxTreeAppTest {

        public static void main(String[] args) {
                CramerRules rules = new CramerRules();
                IDecisionResult result = rules.createDecisionResult();
                result.setDecisionMethod(rules);
                InputStream in = new FileInputStream("myfile.sdf");
                IteratingMDLReader reader =
                         new IteratingMDLReader(in,SilentChemObjectBuilder.getInstance());
                OutputStream out = new FileOutputStream("result.sdf");
                MDLWriter writer = new MDLWriter(out);
                while (reader.hasNext()) {
                        IAtomContainer molecule = ((IAtomContainer)reader.next());
                        result.classify(molecule);
                        result.assignResult(molecule);
                        //Just print the result
                        for (String resultProperty : result.getResultPropertyNames())
                                System.out.println(String.format("%s=%s",
                                resultProperty,molecule.getProperty(resultProperty)));
                        //save all properties (both read from the input file and calculated)
                        writer.setSdFields(molecule.getProperties());
                        writer.write(molecule);
                }
                out.close();
                reader.close();
        }
}